Bug 129188 - kernel-2.6.7-1.494.2.2 breaks raid drive
kernel-2.6.7-1.494.2.2 breaks raid drive
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-04 17:47 EDT by Manuel Ulloa
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:11:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manuel Ulloa 2004-08-04 17:47:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
A working istalation, with all updates (as of 03AUG04) of
FC2 kernel-2.6.6-1.435.2.3, (i686), has problems with loading
a software RAID partition at boot. Reverting to previous
kernel shows no problems or damage done.

Posted as a "Heads Up" FYI people making upgrades. If installing
upgrade, install (rpm -ivh) for NOT upgrade (rpm -Uvh).

More details to follow.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Just install new kernel (rpm -ivh)
2.
3.
    

Actual Results:  ...
Mounting USB filesystem: OK
Checking root filesystem
/1: clean, ... [UP TO HERE ALL OK]
umount: /initrd: device busy [NOT SURE WHY, FIRST ERROR?}
Remounting root filesystem in read-write mode: OK
Activating swap partition: swapon: /dev/hde5: No such device or
address [THIS IS FIRST ERROR]
Starting up RAID devices: /dev/md0: Invalid argument
/dev/md0 is not a RAID0 or LINEAR array! [YES IT IS]
...
[THAT IS ALL]

Expected Results:  Normal boot

Additional info:

/dev/hde is a SATA drive using an Adaptrec ASH-1205SA controller.
/dev/hda is a IDE contrller in the mainboard.
The raid partition is a partition in the SATA backed by the IDE drive.
Comment 1 Manuel Ulloa 2004-08-05 10:04:09 EDT
Update info: The problem is with the SATA controller (/dev/hde).
The new kernel does not recognize the controller at boot time.
Comment 2 Dave Jones 2004-11-27 17:34:06 EST
mass update for old bugs:

Is this still a problem in the 2.6.9 based kernel update ?
Comment 3 Dave Jones 2005-04-16 00:11:08 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.